Debian Bug report logs - #56499
ntpdate: Some suggestions for offline usage

version graph

Package: ntpdate; Maintainer for ntpdate is Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>; Source for ntpdate is src:ntp.

Reported by: tpo_deb@sourcepole.ch

Date: Fri, 28 Jan 2000 15:18:02 UTC

Severity: normal

Tags: confirmed

Merged with 86489, 121819, 150582, 231750, 246402, 278996, 289267, 361353, 382405

Found in versions 1:4.0.99g-2, 1:4.1.0-3, 1:4.1.0-8, 1:4.1.2a-2, 1:4.2.0a+bk20040620-1, 1:4.2.0a-11, 1:4.2.0a-8, 4.0.99b-1, ntp/1:4.2.0a+stable-8.1, ntp/1:4.2.2+dfsg-1, ntpdate/1:4.2.0a+stable-8.1

Fixed in version ntp/1:4.2.2+dfsg.2-2

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#56499; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo@spin.ch>:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo@spin.ch>
To: submit@bugs.debian.org
Subject: ntpdate: Some suggestions for offline usage
Date: Fri, 28 Jan 2000 16:16:08 +0100
Package: ntpdate
Version: 4.0.99b-1
Severity: wishlist

If you are willing to include it I would furnish:

a) a setup that asks you whether you want ntpdate to be run from
/etc/ppp/ip-up.d or
from /etc/init.d
b) ask for a ntp server
c) the /etc/ppp/ip-up.d script ... see below

localhost:/etc/ppp/ip-up.d# cat 4ntp
#!/bin/sh
#
# This script is called when ppp connects to the network.
# Ntp uses it for updating localtime
#
# If you want to use this, don't forget to remove the start and stop scripts
# from /etc/rc*.d using the update-rc.d script
#
# Written By Tomas Pospisek <tpo@spin.ch>

/etc/init.d/ntpdate start

If you are not very interested in it I suggest to at least include the script
above in
/usr/doc/ntpdate so not every human on earth has to reinvent it ;-)

Greets and thanks,
*t

-- System Information
Debian Release: potato
Kernel Version: Linux localhost 2.2.14 #4 Wed Jan 12 12:25:15 CET 2000 i686 unknown

Versions of the packages ntpdate depends on:
hi  libc6          2.1.2-11       GNU C Library: Shared libraries and Timezone

--- Begin /etc/init.d/ntpdate (modified conffile)
#! /bin/sh
test -f /usr/sbin/ntpdate || exit 0
case "$1" in
start)
  echo -n "Running ntpdate to synchronize clock"
  /usr/sbin/ntpdate -b -s time.ethz.ch
  echo "."
  ;;
stop|restart|force-reload)
  ;;
*)
  echo "Usage: /etc/init.d/ntpdate {start|stop|restart|force-reload}"
  exit 1
esac
exit 0

--- End /etc/init.d/ntpdate


Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#56499; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to bdale@gag.com (Bdale Garbee):
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #10 received at 56499@bugs.debian.org (full text, mbox):

From: bdale@gag.com (Bdale Garbee)
To: 56499@bugs.debian.org
Subject: files in hand
Date: Sun, 30 Jan 2000 15:37:52 -0700 (MST)
Tomas has provided the promised materials, they are filed in my debian/ntp
folder for when I get time to fold them in and upload for woody.

Bdale


Merged 56499 86489 150582. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to ntp@packages.qa.debian.org:
Bug#56499; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and filed, but not forwarded. Copy sent to ntp@packages.qa.debian.org. Full text and rfc822 format available.

Message #17 received at 56499-quiet@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: control@bugs.debian.org
Subject: merge 56499 86489 150582
Date: 05 Feb 2003 15:15:35 +0100
merge 56499 86489 150582
thanks

All are suggestions for /etc/ppp/ip-up.d entries.

-- 
Thomas Hood <jdthood@yahoo.co.uk>




Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>, ntp@packages.qa.debian.org:
Bug#56499; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>, ntp@packages.qa.debian.org. Full text and rfc822 format available.

Message #22 received at 56499@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 56499@bugs.debian.org
Cc: Tomas Pospisek <tpo@spin.ch>, Francesco Potorti` <pot@gnu.org>, Rahul Jain <rahul@rice.edu>
Subject: Re: #56499, #86489, #150582
Date: 05 Feb 2003 15:20:39 +0100
Rather than add a ntpdate entry to /etc/ppp/ip-up.d,
one could add the entry to /etc/network/if-up.d .
Then ntpdate would be called whenever any kind of
interface was brought up (using ifup), not just a
ppp connection.

-- 
Thomas Hood <jdthood@yahoo.co.uk>




Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#56499; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to Christian Mayrhuber <christian.mayrhuber@gmx.net>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #27 received at 56499@bugs.debian.org (full text, mbox):

From: Christian Mayrhuber <christian.mayrhuber@gmx.net>
To: 56499@bugs.debian.org
Subject: Backgrounding ntpdate
Date: Mon, 14 Jul 2003 11:48:25 +0200
ntpdate should be started as background process to avoid a long wait phase
in the boot up process for the case that there is no internet connection available.


--- ntpdate	Mon Jul 14 11:32:55 2003
+++ ntpdate.background	Mon Jul 14 11:32:39 2003
@@ -9,8 +9,8 @@
 
 case "$1" in
 start|restart|force-reload)
-  echo -n "Running ntpdate to synchronize clock"
-  /usr/sbin/ntpdate -u -b -s $NTPSERVERS
+  echo -n "Backgrounding ntpdate to synchronize clock"
+  /usr/sbin/ntpdate -u -b -s $NTPSERVERS &
   echo "."
   ;;
 stop)


-- 
lg, Chris




Information stored:
Bug#56499; Package ntpdate. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #32 received at 56499-quiet@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 56499-quiet@bugs.debian.org
Subject: Correction
Date: Wed, 26 May 2004 00:46:30 +0200
I wrote:
> Rather than add a ntpdate entry to /etc/ppp/ip-up.d,
> one could add the entry to /etc/network/if-up.d .
> Then ntpdate would be called whenever any kind of
> interface was brought up (using ifup), not just a
> ppp connection.

Actually, because of bugs in the current ifupdown this is not true.
ifupdown runs /etc/network/if-up.d/ scripts immediately after it
executes pon, which happens long before pppd makes the connection.
ifupdown should wait until pppd has connected before running those
scripts, but currently it does not.a

So, with the current buggy (see #127786) ifupdown, it is necessary
to install scripts in _both_ /etc/network/if-up.d/ and /etc/ppp/ip-up.d/.

Furthermore, the script in /etc/network/if-up.d/ has to have this at
the top in order to avoid duplication:

    [ "$METHOD" = ppp ] && exit 0
    [ "$METHOD" = wvdial ] && exit 0

It also needs to exclude interfaces for which ntpdate shouldn't be run.

    [ "$ADDRFAM" = "inet" -o "$ADDRFAM" = "inet6" ] || exit 0
    [ "$METHOD" = "loopback" ] && exit 0

--
Thomas Hood




Changed Bug submitter from Tomas Pospisek <tpo@spin.ch> to tpo_deb@sourcepole.ch. Request was from Tomas Pospisek <tpo@sourcepole.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `wishlist' Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 56499 86489 150582 231750 246402 278996. Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 56499 86489 150582 231750 246402 278996 289267 361353. Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 56499 86489 121819 150582 231750 246402 278996 289267 361353. Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 56499 86489 121819 150582 231750 246402 278996 289267 361353 382405. Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to tpo_deb@sourcepole.ch:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #53 received at 56499-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 56499-close@bugs.debian.org
Subject: Bug#56499: fixed in ntp 1:4.2.2+dfsg.2-2
Date: Sat, 16 Sep 2006 09:23:37 -0700
Source: ntp
Source-Version: 1:4.2.2+dfsg.2-2

We believe that the bug you reported is fixed in the latest version of
ntp, which is due to be installed in the Debian FTP archive:

ntp-doc_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-doc_4.2.2+dfsg.2-2_all.deb
ntp-refclock_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-refclock_4.2.2+dfsg.2-2_all.deb
ntp-simple_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-simple_4.2.2+dfsg.2-2_all.deb
ntp_4.2.2+dfsg.2-2.diff.gz
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2.diff.gz
ntp_4.2.2+dfsg.2-2.dsc
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2.dsc
ntp_4.2.2+dfsg.2-2_i386.deb
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2_i386.deb
ntpdate_4.2.2+dfsg.2-2_i386.deb
  to pool/main/n/ntp/ntpdate_4.2.2+dfsg.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 56499@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated ntp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Sep 2006 11:24:09 +0200
Source: ntp
Binary: ntp-simple ntp-refclock ntp-doc ntpdate ntp
Architecture: source all i386
Version: 1:4.2.2+dfsg.2-2
Distribution: unstable
Urgency: medium
Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 ntp        - Network Time Protocol daemon and utility programs
 ntp-doc    - Network Time Protocol documentation
 ntp-refclock - transition package
 ntp-simple - transition package
 ntpdate    - client for setting system time from NTP servers
Closes: 56499 245338 305864 312576 321759 375280 382311 382543 383212 383666 384857 386323 387002
Changes: 
 ntp (1:4.2.2+dfsg.2-2) unstable; urgency=medium
 .
   [ Branden Robinson ]
   * Soften ntp binary package's Conflicts and Replaces relationships with
     ntp-{refclock,server,simple} so that they are unversioned; a versioning
     expression is unnecessary as none of these exist now as dummy packages
     (and do not need to, as all depended directly or transitively on ntp
     itself).  State that ntp Provides the three merged packages, so that
     packages depending on them are not spuriously blocked from upgrading
     before their dependencies are manually changed. (closes: #383212)
 .
   [ Peter Eisentraut ]
   * Updated README.Debian's and package descriptions, reflecting that
     ntpdate is no longer necessary when ntp is installed
   * npdate is no longer started from an init script but instead by ifup
     (closes: #56499, #245338, #312576)
   * Run ntpdate from ifup in the background (closes: #321759, #375280,
     #382543)
   * Cleaned out package relationships with long-obsolete packages
   * Updated standards version
   * Also parse peer lines in ntp.conf from ntpdate.default (closes: #382311)
   * Added pointer in ntpdate.default where to find ntp.conf (closes: #386323)
   * Updated logcheck rules (closes: #305864)
 .
   [ Julien BLACHE ]
   * debian/control:
     + Add ntp-refclock and ntp-simple transition packages (closes: #384857).
   * debian/ntp.init:
     + Remove adduser call from initscript (closes: #383666).
 .
   [ Petter Reinholdtsen ]
   * Fixed init script LSB header dependency information (closes: #387002)
Files: 
 9553a9b41ba5f5c3ba174ac5592efc1b 841 net optional ntp_4.2.2+dfsg.2-2.dsc
 6b9241afc047363e3bcf11b25af4e561 173994 net optional ntp_4.2.2+dfsg.2-2.diff.gz
 f986aa4ae857f41a6bce469feed07815 891756 doc optional ntp-doc_4.2.2+dfsg.2-2_all.deb
 c44b4f1dadf7ed82bc43ffdc34068c83 27128 net optional ntp-simple_4.2.2+dfsg.2-2_all.deb
 1fefd26e9fc228e9e6d6c6e39f64c4ee 27130 net optional ntp-refclock_4.2.2+dfsg.2-2_all.deb
 f2fc5f5531c9c76187510f94de6d0b11 321010 net optional ntp_4.2.2+dfsg.2-2_i386.deb
 0ff308d22b0dda454023610ce77e7520 55902 net optional ntpdate_4.2.2+dfsg.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFCnPCTTx8oVVPtMYRAoMkAJ9matJyyhGLgERFVxqvfmSka+TWLQCdE0fX
o7h51A6c/UagHkuditkDyEM=
=uO5N
-----END PGP SIGNATURE-----




Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Francesco Potorti` <pot@gnu.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Noah L. Meyerhans" <frodo@morgul.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Rahul Jain" <rahul@rice.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paolo Benvenuto <donpaolo@gsi.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to andreas.messer@gmx.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matt Kraai <kraai@ftbfs.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alban Browaeys <browaeys.alban@wanadoo.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@teco.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 08:43:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:10:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.